Commit e943ef37 authored by Tim-Philipp Müller's avatar Tim-Philipp Müller

configure: first check for QtGui >= 4.6, only then for >= 4.0

If we first check for >= 4.0 the second check for >= 4.6 will just
short-cut since we are using the same prefix for the variables for
both checks, and they've already been set previously. So the examples
requiring >= 4.6 were built even in the >= 4.0 case.
parent f9e23178
......@@ -282,9 +282,14 @@ PKG_CHECK_MODULES(GTK_X11, gtk+-x11-2.0 >= 2.14.0,
AM_CONDITIONAL(HAVE_GTK_X11, test "x$HAVE_GTK_X11" = "xyes")
dnl QT is optional and only used in examples
PKG_CHECK_MODULES(QT, QtGui >= 4.0, HAVE_QT=yes, HAVE_QT=no)
PKG_CHECK_MODULES(QT, QtGui >= 4.6, [
HAVE_QT_GV=yes
HAVE_QT=yes
], [
HAVE_QT_GV=no
PKG_CHECK_MODULES(QT, QtGui >= 4.0, HAVE_QT=yes, HAVE_QT=no)
])
AM_CONDITIONAL(HAVE_QT, test "x$HAVE_QT" = "xyes")
PKG_CHECK_MODULES(QT, QtGui >= 4.6, HAVE_QT_GV=yes, HAVE_QT_GV=no)
AM_CONDITIONAL(HAVE_QT_GV, test "x$HAVE_QT_GV" = "xyes")
dnl *** set variables based on configure arguments ***
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment